Postinst missing in release 7.0.1

Hello everyone,

I wanted to start drone development for college today and chose Parrot + Olympe as a starting point. Following the installation guide for 7.0 I run into some issue in the first steps already.(Installation - 7.0)

After a failed curl command
($ curl https://github.com/Parrot-Developers/olympe/releases/download/v7.0.1/parrot-olympe-src-7.0.1.tar.gz), which caused a redirect by git.
I downloaded the tar.gz file manually from the git 7.0.1 release.

In the above mentioned file (parrot-olympe-src-7.0.1.tar.gz) the path ./products/olympe/linux/env/postinst does not exist. (the /env directory is missing).

Maybe I am just blind and do some beginner mistakes, please let me know I’d love to start drone development :slight_smile:

KR
Marvin

Thank you for reporting this.
The curl command line is missing the ‘-L’ flag to follow the github https redirection.

As for the postinst script, it is missing in the released archive. I will fix this next week when I’ll be back to the office.

In the meantime, here it is:


#!/bin/bash
# This script install olympe dependencies
#
# Usage:
# bash postinst
set -e
# Check if we need to sudo things
if [ "$(id -u)" != "0" ]
then
  SUDO="sudo"
  echo "This script might prompt you for your sudo password."
else
  SUDO=""
fi
# install system packages with apt
${SUDO} apt-get update || true # who doesn't have invalid/broken apt sources
# install pyenv dependencies
${SUDO} apt-get install -y make build-essential libssl-dev zlib1g-dev \
        libbz2-dev libreadline-dev libsqlite3-dev wget curl llvm libncurses5-dev \
        libncursesw5-dev libncurses5 xz-utils tk-dev libffi-dev liblzma-dev \
        python-openssl git libgdbm-dev libgdbm-compat-dev uuid-dev python3-gdbm \
        gawk
# Install python
${SUDO} apt-get -y install python3
# pdraw dependencies
${SUDO} apt-get -y install build-essential yasm cmake libtool libc6 libc6-dev \
  unzip freeglut3-dev libglfw3 libglfw3-dev libsdl2-dev libjson-c-dev \
  libcurl4-gnutls-dev libavahi-client-dev libgles2-mesa-dev
# ffmpeg build dependencies
${SUDO} apt-get -y install rsync
# arsdk build dependencies
${SUDO} apt-get -y install cmake libbluetooth-dev libavahi-client-dev \
    libopencv-dev libswscale-dev libavformat-dev \
    libavcodec-dev libavutil-dev cython python-dev
# Olympe / PySDL2 / pdraw renderer dependencies
${SUDO} apt-get -y install libsdl2-dev libsdl2-2.0-0 libjpeg-dev libwebp-dev \
 libtiff5-dev libsdl2-image-dev libsdl2-image-2.0-0 libfreetype6-dev \
 libsdl2-ttf-dev libsdl2-ttf-2.0-0 libsdl2-gfx-dev
2 Likes

This topic was automatically closed 3 days after the last reply. New replies are no longer allowed.

FYI, Olympe 7.0.2 has been released and fixes these issues.
The online documentation has not been updated yet and is still based on the 7.0.1 release.